<?php

/*
Plugin Name: Wp Dashboard Feed Widget For Manual
Plugin URI: https://with-planning.jp
Description: With-Planning製 WordPressマニュアルのフィード情報をダッシュボードに表示します。
Version: 0.23
Author: With-Planning
Author URI: https://with-planning.jp
*/

/**
 * Update notifier.
 */
if ( is_admin() ) {
	require __DIR__ . '/inc/plugin-update-checker/plugin-update-checker.php';
	$wp_dashboard_feed_widget_for_manual_update_checker = Puc_v4_Factory::buildUpdateChecker(
		'https://wp-update.with-planning.jp/?action=get_metadata&slug=wp-dashboard-feed-widget-for-manual',
		__FILE__,
		'wp-dashboard-feed-widget-for-manual'
	);
}

/**
 * ダッシュボードウィジェットに出力する内容
 */
function with_planning_dashboard_widget_function() {
	echo '<div id="wp-minna-dashboard-widget" class="rss-widget"><p><a href="https://manual.with-planning.jp/" target="_blank">WordPressみんなの教科書</a> - WordPressに関する情報をお届けいたします。</p>';
	$feed_url = 'https://manual.with-planning.jp/feed';
	wp_widget_rss_output( array(
		'url'          => $feed_url,
		'title'        => 'WordPressみんなの教科書 - 最新記事一覧',
		'items'        => 5,
		'show_summary' => 1,
		'show_author'  => 0,
		'show_date'    => 1
	) );
	echo '</div>';
	?>
	<style>
		.rss-date-new{
			padding: 2px 12px;
			font-size: 12px;
			color: #fff;
			background-color: #c03b22;
		}
		.manual-login-button {
			margin-top: 10px;
			display: block;
			font-size: 18px;
    		border-bottom: 1px solid #eee;
    		padding-bottom: 10px;
    		text-align: center;
		}
	</style>
	<script>
		jQuery('#with-planning-dashboard-widget .inside').prepend('<a class="manual-login-button" href="https://manual.with-planning.jp/my-account-2" target="_blank"><button>クライアント様個別ページログイン</button></a>');

	    jQuery("#wp-minna-dashboard-widget a").attr("target", "_blank");

	    jQuery('#wp-minna-dashboard-widget .rss-date').each(function(idx, val){
	        var rss_date_text = jQuery(val).text();
	        rss_date_text = rss_date_text.replace(/(年|月)/g, '/').replace(/日/g, '');
	        var rss_date = new Date(Date.parse(rss_date_text));
	        var current_date = new Date();
	        if((current_date.getTime() - rss_date.getTime()) <= 7 * 24 * 60 * 60 * 1000){
	            jQuery(val).prev().html('<span class="rss-date-new">NEW</span> ' + jQuery(val).prev().text());
	        }
	    });
	</script>
<?php
}
/**
 * ダッシュボードに専用のウィジェットを追加
 */
function with_planning_dashboard_widget_add_dashboard_widgets() {
	wp_add_dashboard_widget( 'with-planning-dashboard-widget', 'WordPressみんなの教科書', 'with_planning_dashboard_widget_function' );
}
add_action( 'wp_dashboard_setup', 'with_planning_dashboard_widget_add_dashboard_widgets' );